package TestOne;

// This program is copyright VUW.
// You are granted permission to use it to construct your answer to a COMP102 assignment.
// You may not distribute it in any other way without permission.

/* Code for COMP102 - 2019T2, Terms Test 1
 * Name:
 * Username:
 * ID:
 */

import ecs100.*;

/**
 * Question 1. Finding Bugs    [5 marks]
 * 
 * The following method is supposed to print out the largest value in a list, but it doesn’t seem
 * to be working properly. Find out what is wrong, and fix it.
 * 
 * The method needs to work for inputs such as these:
 *      1 3 2 7 4 3 done                → The biggest number was: 7
 *      100.0 200.5 12.1 -1.4 5.0 done  → The biggest number was: 200.5
 *      -4 -2 -6 -1 -7 done             → The biggest number was: -1
 */
public class Program1
{
    public void printMax() {
        double max = 0.0;
        UI.print("Enter numbers, followed by 'done': ");
        while(UI.hasNextDouble()) {
            // Ask the user for a number
            int num = UI.nextInt();
            // Update max if the number is bigger
            if ( num < max ) {
                max = num;
            }
        }
        UI.nextLine(); // skip the 'done'
        UI.printf("The biggest number was: %.2f\n", max);
    }

    /*********************************************
     * YOU CAN IGNORE EVERYTHING BELOW THIS LINE *
     *********************************************/
    public void setupGUI() {
        UI.initialise();
        UI.addButton("Run", this::printMax);
        UI.setWindowSize(500,500);
        UI.setDivider(1.0);
    }
    
    public static void main(String[] args) {
        new Program1().setupGUI();
    }
}
