package TestOne;

import ecs100.*;
import java.awt.Color;

/**
 * Question 3. Defining a method with parameters.   [8 marks]
 * 
 * This class has two methods. The drawPeople() method calls the drawPerson(...) method to
 * draw two people in different places.
 * 
 * (a) Complete the drawPerson(...) method to draw a very simple person by drawing a circle and a
 * coloured rectangle. You will need to define five parameters: the position in (x,y)
 * co-ordinates, the diameter of the circle, and the length and colour of the rectangle.
 * 
 *   - The top of the circle is at the specified position
 *   - The circle is drawn with the specified diameter
 *   - The rectangle is drawn immediately below the circle, in the specified colour.
 *   - The rectangle has the specified length, and its width is the same as the diameter
 *     of the circle.
 * 
 * (b) Complete the drawPeople() method to draw two people by calling drawPerson(...)
 * twice using different arguments. Your method should draw the people shown in the
 * test handout. The larger person is red, and the smaller person is blue.
 */
public class Program3 {
    
    /**
     * Draws a simplified person by drawing a circle and a coloured rectangle [6 marks]
     */
    public void drawPerson(/*# YOUR CODE HERE */) {
        // The circle should be drawn in black
        UI.setColor(Color.BLACK);
        /*# YOUR CODE HERE */

    }

    /**
     * Draws things by drawing two things on the screen. [2 marks]
     */
    public void drawPeople() {
        UI.clearGraphics();
        this.drawPerson(/*# YOUR CODE HERE */);
        this.drawPerson(/*# YOUR CODE HERE */);
    } 

    /*********************************************
     * YOU CAN IGNORE EVERYTHING BELOW THIS LINE *
     *********************************************/
    public void setupGUI() {
        UI.initialise();
        UI.addButton("Run", this::drawPeople);
        UI.setWindowSize(500,500);
        UI.setDivider(0.0);
    }
    
    public static void main(String[] args) {
        new Program3().setupGUI();
    }
}
