package TestOne;

// This program is copyright VUW.
// You are granted permission to use it to construct your answer to a COMP102 assignment.
// You may not distribute it in any other way without permission.

/* Code for COMP102 - 2019T2, Terms Test 1
 * Name:
 * Username:
 * ID:
 */

import ecs100.*;
import java.util.ArrayList;

/**
 * Question 5. Writing methods with for.
 *
 * This program should do some analysis on a sequence of numbers.
 * 
 * The analyseNumbers() method is done for you. It asks the user for a sequence of numbers
 * and saves the numbers in an ArrayList. It then calls two methods that you must complete.
 * 
 * (a) [5 marks] Complete the findMinimum(...) method to find and return the minimum of
 * the numbers.
 * 
 * (b) [10 marks] Complete the plotNumbers(...) method to draw a line plot of the numbers on
 * the graphics pane with a small circle on the minimum value(s)
 * 
 *  - Draw the x-axis and the y-axis. The origin should be at (50, 50)
 *  - Draw the points every 50 units, plotting the data along the x-axis
 *      (note the orientation of the plot in the test handout)
 *  - You should start the line plot from the origin. You may assume the user enters at least
 *    one and at most nine numbers and all numbers are in the range of [0, 350].
 *  - Draw a small circle for the minimum number(s).
 */
public class Program5
{
    /**
     * Constants
     */
    private static final double X_AXIS = 50;
    private static final double Y_AXIS = 50;
    private static final double STEP = 50;
    private static final double CIRCLE_SIZE = 10;
    
    public void analyseNumbers () {
        ArrayList<Double> numbers = UI.askNumbers("Enter numbers [0, 350]");
        UI.println("The minimum number is " + this.findMinimum(numbers));
        this.plotNumbers(numbers);
    }
    
    public double findMinimum(ArrayList<Double> numbers) {
        /*# YOUR CODE HERE */
        return 0; //Replace this with the actual min.
    }
    
    public void plotNumbers(ArrayList<Double> numbers) {
        UI.clearGraphics();
        /*# YOUR CODE HERE */
    }
    
    /*********************************************
     * YOU CAN IGNORE EVERYTHING BELOW THIS LINE *
     *********************************************/
    public void setupGUI() {
        UI.initialise();
        UI.addButton("Run", this::analyseNumbers);
        UI.setWindowSize(800,500);
        UI.setDivider(0.3);
    }
    
    public static void main(String[] args) {
        new Program5().setupGUI();
    }
}
