package TestOne;

// This program is copyright VUW.
// You are granted permission to use it to construct your answer to a COMP102 assignment.
// You may not distribute it in any other way without permission.

/* Code for COMP102 - 2019T2, Terms Test 1
 * Name:
 * Username:
 * ID:
 */

import ecs100.*;
import java.awt.Color;

/**
 * Question 4. Writing methods that use objects [10 marks]
 * 
 * Complete the animate() method so that it:
 * 
 *      1. Creates a sprite named ”Alice”, at position 100, facing right.
 *      2. Creates a second sprite named ”Bob”, at position 500, facing left.
 *      3. Calls a sequence of five methods on each sprite, which will make them
 *         move to the middle (at the positions shown in the handout), announce
 *         themselves, and then attack. The sprite should jump over any pits in
 *         its way.
 *              - Alice should announce ”I am the hero!”
 *              - Bob should announce ”Egads! A hero!”
 *              
 * NB: the sprites will not actually fall into the pits if they move over them,
 *     but they need to jump over them for your answer to be correct.
 */
public class Program4 {  
    
    /**
     * Animates two sprites
     */
    public void animate() {
        UI.clearGraphics();
        this.drawBackground();
        /*# YOUR CODE HERE */
    }

    /*********************************************
     * YOU CAN IGNORE EVERYTHING BELOW THIS LINE *
     *********************************************/
    public void setupGUI() {
        UI.initialise();
        UI.addButton("Run", this::animate);
        UI.setWindowSize(600,500);
        UI.setDivider(0.0);
        drawBackground();
    }
    
    public void drawBackground() {
        // Dirt
        UI.setColor(new Color(107,75,20));
        UI.fillRect(  0, 300, 170, UI.getCanvasHeight());
        UI.fillRect(200, 300, 140, UI.getCanvasHeight());
        UI.fillRect(370, 300, 30, UI.getCanvasHeight());
        UI.fillRect(430, 300, UI.getCanvasWidth() - 430, UI.getCanvasHeight());
        // Grass
        UI.setColor(new Color(25,128,61));
        UI.fillRect(  0, 300, 170, 25);
        UI.fillRect(200, 300, 140, 25);
        UI.fillRect(370, 300, 30, 25);
        UI.fillRect(430, 300, UI.getCanvasWidth() - 430, 25);
        // Water
        UI.setColor(new Color(53,40,200));
        UI.fillRect(170, 400, 30, UI.getCanvasHeight());
        UI.fillRect(340, 400, 30, UI.getCanvasHeight());
        UI.fillRect(400, 400, 30, UI.getCanvasHeight());
        
    }
    
    public static void main(String[] args){
        new Program4().setupGUI();
    }
}
